#!/bin/sh
set -e

getent group dejsem >/dev/null 2>&1 || groupadd dejsem
chgrp -R dejsem /usr/share/dejsem/ssl
chmod g+r /usr/share/dejsem/ssl/*

set -- $(ip r | head -1)
int=$5
[ $int ] && {
	set -- $(ip r | grep dev\ $int | tail -1)
	ip=$9
	[ $ip ] && echo BINDHOST=$ip >> /etc/default/dejsem
}
